var debug = debug || {};

debug.createDummy = function(){

	var basicMaterial = new THREE.MeshLambertMaterial( { color: 0x0000ff });

	var mesh = new THREE.Mesh( models.import( models.dummy() , 10 ) , basicMaterial );

	mesh.scale.set( 0.00175 , 0.00175 , 0.00175 );
	mesh.position.set( 0 , 0 , 0 );
	mesh.visible = false;

	mesh.moving = false;
	mesh.path = [];


	return mesh;

}

// createArrow function pulled from another program, NOT DOCUMENTED
debug.createArrow = function(v, col, d2, v2, le , hl ){

	var f = v2 || new THREE.Vector3(0,0,0);
	var e = col || 3;
	var g = d2 || false;
	var l = le || 0.5;
	var h = hl || l*.1;
	var a = v.clone();
	var b = f.clone();
	var c = a.clone();
	if(g == false){
		var d = c.sub(b).normalize();
	} else {
		var d = b.sub(c).normalize();
	}
	if(col == 1){ // RED
		var e = new THREE.ArrowHelper(d, a, l, 0xff0000, h);
	} else if(col == 2){ // BLUE
		var e = new THREE.ArrowHelper(d, a, l, 0x0000ff, h);
	} else if(col == 3){ // GREEN
		var e = new THREE.ArrowHelper(d, a, l, 0x00ff00, h);
	} else if(col == 4){ // PURPLE
		var e = new THREE.ArrowHelper(d, a, l, 0xff00ff, h);
	} else if(col == 5){ // CYAN
		var e = new THREE.ArrowHelper(d, a, l, 0x00ffff, h);
	} else if(col == 6){ // BLACK
		var e = new THREE.ArrowHelper(d, a, l, 0x000000, h);
	} else if(col == 0) { // WHITE
		var e = new THREE.ArrowHelper(d, a, l, 0xffffff, h);	
	} else { // YELLOW: Default
		var e = new THREE.ArrowHelper(d, a, l, 0xffff00, h);	
	}
	
	return e;	
};